package com.mortals.xhx.module.hotword.model;

import java.util.List;
import com.mortals.xhx.module.hotword.model.HotwordEntity;
/**
 * 热门词汇业务查询对象
 *
 * @author zxfei
 * @date 2022-12-07
 */
public class HotwordQuery extends HotwordEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 热门词汇 */
    private List<String> hotwordsList;

    /** 开始 空白打印材料展示数量 */
    private Integer printDisplayStart;

    /** 结束 空白打印材料展示数量 */
    private Integer printDisplayEnd;

    /** 增加 空白打印材料展示数量 */
    private Integer printDisplayIncrement;

    /** 空白打印材料展示数量列表 */
    private List <Integer> printDisplayList;

    /** 开始 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告) */
    private Integer newsSourceStart;

    /** 结束 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告) */
    private Integer newsSourceEnd;

    /** 增加 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告) */
    private Integer newsSourceIncrement;

    /** 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)列表 */
    private List <Integer> newsSourceList;

    /** 开始 查询次数 */
    private Integer searchCountStart;

    /** 结束 查询次数 */
    private Integer searchCountEnd;

    /** 增加 查询次数 */
    private Integer searchCountIncrement;

    /** 查询次数列表 */
    private List <Integer> searchCountList;

    /** 开始 热门词汇来源（1.手动添加,2.查询添加） */
    private Integer wordsSourceStart;

    /** 结束 热门词汇来源（1.手动添加,2.查询添加） */
    private Integer wordsSourceEnd;

    /** 增加 热门词汇来源（1.手动添加,2.查询添加） */
    private Integer wordsSourceIncrement;

    /** 热门词汇来源（1.手动添加,2.查询添加）列表 */
    private List <Integer> wordsSourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<HotwordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<HotwordQuery> andConditionList;

    public HotwordQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 热门词汇
     * @return hotwordsList
     */
    public List<String> getHotwordsList(){
        return this.hotwordsList;
    }

    /**
     * 设置 热门词汇
     * @param hotwordsList
     */
    public void setHotwordsList(List<String> hotwordsList){
        this.hotwordsList = hotwordsList;
    }
    /**
     * 获取 开始 空白打印材料展示数量
     * @return printDisplayStart
     */
    public Integer getPrintDisplayStart(){
        return this.printDisplayStart;
    }

    /**
     * 设置 开始 空白打印材料展示数量
     * @param printDisplayStart
     */
    public void setPrintDisplayStart(Integer printDisplayStart){
        this.printDisplayStart = printDisplayStart;
    }

    /**
     * 获取 结束 空白打印材料展示数量
     * @return $printDisplayEnd
     */
    public Integer getPrintDisplayEnd(){
        return this.printDisplayEnd;
    }

    /**
     * 设置 结束 空白打印材料展示数量
     * @param printDisplayEnd
     */
    public void setPrintDisplayEnd(Integer printDisplayEnd){
        this.printDisplayEnd = printDisplayEnd;
    }

    /**
     * 获取 增加 空白打印材料展示数量
     * @return printDisplayIncrement
     */
    public Integer getPrintDisplayIncrement(){
        return this.printDisplayIncrement;
    }

    /**
     * 设置 增加 空白打印材料展示数量
     * @param printDisplayIncrement
     */
    public void setPrintDisplayIncrement(Integer printDisplayIncrement){
        this.printDisplayIncrement = printDisplayIncrement;
    }

    /**
     * 获取 空白打印材料展示数量
     * @return printDisplayList
     */
    public List<Integer> getPrintDisplayList(){
        return this.printDisplayList;
    }

    /**
     * 设置 空白打印材料展示数量
     * @param printDisplayList
     */
    public void setPrintDisplayList(List<Integer> printDisplayList){
        this.printDisplayList = printDisplayList;
    }

    /**
     * 获取 开始 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @return newsSourceStart
     */
    public Integer getNewsSourceStart(){
        return this.newsSourceStart;
    }

    /**
     * 设置 开始 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceStart
     */
    public void setNewsSourceStart(Integer newsSourceStart){
        this.newsSourceStart = newsSourceStart;
    }

    /**
     * 获取 结束 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @return $newsSourceEnd
     */
    public Integer getNewsSourceEnd(){
        return this.newsSourceEnd;
    }

    /**
     * 设置 结束 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceEnd
     */
    public void setNewsSourceEnd(Integer newsSourceEnd){
        this.newsSourceEnd = newsSourceEnd;
    }

    /**
     * 获取 增加 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @return newsSourceIncrement
     */
    public Integer getNewsSourceIncrement(){
        return this.newsSourceIncrement;
    }

    /**
     * 设置 增加 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceIncrement
     */
    public void setNewsSourceIncrement(Integer newsSourceIncrement){
        this.newsSourceIncrement = newsSourceIncrement;
    }

    /**
     * 获取 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @return newsSourceList
     */
    public List<Integer> getNewsSourceList(){
        return this.newsSourceList;
    }

    /**
     * 设置 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceList
     */
    public void setNewsSourceList(List<Integer> newsSourceList){
        this.newsSourceList = newsSourceList;
    }

    /**
     * 获取 开始 查询次数
     * @return searchCountStart
     */
    public Integer getSearchCountStart(){
        return this.searchCountStart;
    }

    /**
     * 设置 开始 查询次数
     * @param searchCountStart
     */
    public void setSearchCountStart(Integer searchCountStart){
        this.searchCountStart = searchCountStart;
    }

    /**
     * 获取 结束 查询次数
     * @return $searchCountEnd
     */
    public Integer getSearchCountEnd(){
        return this.searchCountEnd;
    }

    /**
     * 设置 结束 查询次数
     * @param searchCountEnd
     */
    public void setSearchCountEnd(Integer searchCountEnd){
        this.searchCountEnd = searchCountEnd;
    }

    /**
     * 获取 增加 查询次数
     * @return searchCountIncrement
     */
    public Integer getSearchCountIncrement(){
        return this.searchCountIncrement;
    }

    /**
     * 设置 增加 查询次数
     * @param searchCountIncrement
     */
    public void setSearchCountIncrement(Integer searchCountIncrement){
        this.searchCountIncrement = searchCountIncrement;
    }

    /**
     * 获取 查询次数
     * @return searchCountList
     */
    public List<Integer> getSearchCountList(){
        return this.searchCountList;
    }

    /**
     * 设置 查询次数
     * @param searchCountList
     */
    public void setSearchCountList(List<Integer> searchCountList){
        this.searchCountList = searchCountList;
    }

    /**
     * 获取 开始 热门词汇来源（1.手动添加,2.查询添加）
     * @return wordsSourceStart
     */
    public Integer getWordsSourceStart(){
        return this.wordsSourceStart;
    }

    /**
     * 设置 开始 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceStart
     */
    public void setWordsSourceStart(Integer wordsSourceStart){
        this.wordsSourceStart = wordsSourceStart;
    }

    /**
     * 获取 结束 热门词汇来源（1.手动添加,2.查询添加）
     * @return $wordsSourceEnd
     */
    public Integer getWordsSourceEnd(){
        return this.wordsSourceEnd;
    }

    /**
     * 设置 结束 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceEnd
     */
    public void setWordsSourceEnd(Integer wordsSourceEnd){
        this.wordsSourceEnd = wordsSourceEnd;
    }

    /**
     * 获取 增加 热门词汇来源（1.手动添加,2.查询添加）
     * @return wordsSourceIncrement
     */
    public Integer getWordsSourceIncrement(){
        return this.wordsSourceIncrement;
    }

    /**
     * 设置 增加 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceIncrement
     */
    public void setWordsSourceIncrement(Integer wordsSourceIncrement){
        this.wordsSourceIncrement = wordsSourceIncrement;
    }

    /**
     * 获取 热门词汇来源（1.手动添加,2.查询添加）
     * @return wordsSourceList
     */
    public List<Integer> getWordsSourceList(){
        return this.wordsSourceList;
    }

    /**
     * 设置 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceList
     */
    public void setWordsSourceList(List<Integer> wordsSourceList){
        this.wordsSourceList = wordsSourceList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public HotwordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public HotwordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public HotwordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public HotwordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public HotwordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public HotwordQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public HotwordQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public HotwordQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public HotwordQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public HotwordQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置 热门词汇
     * @param hotwords
     */
    public HotwordQuery hotwords(String hotwords){
        setHotwords(hotwords);
        return this;
    }

    /**
     * 设置 热门词汇
     * @param hotwordsList
     */
    public HotwordQuery hotwordsList(List<String> hotwordsList){
        this.hotwordsList = hotwordsList;
        return this;
    }

    /**
     * 设置  空白打印材料展示数量
     * @param printDisplay
     */
    public HotwordQuery printDisplay(Integer printDisplay){
        setPrintDisplay(printDisplay);
        return this;
    }

    /**
     * 设置 开始 空白打印材料展示数量
     * @param printDisplayStart
     */
    public HotwordQuery printDisplayStart(Integer printDisplayStart){
        this.printDisplayStart = printDisplayStart;
        return this;
    }

    /**
     * 设置 结束 空白打印材料展示数量
     * @param printDisplayEnd
     */
    public HotwordQuery printDisplayEnd(Integer printDisplayEnd){
        this.printDisplayEnd = printDisplayEnd;
        return this;
    }

    /**
     * 设置 增加 空白打印材料展示数量
     * @param printDisplayIncrement
     */
    public HotwordQuery printDisplayIncrement(Integer printDisplayIncrement){
        this.printDisplayIncrement = printDisplayIncrement;
        return this;
    }

    /**
     * 设置 空白打印材料展示数量
     * @param printDisplayList
     */
    public HotwordQuery printDisplayList(List<Integer> printDisplayList){
        this.printDisplayList = printDisplayList;
        return this;
    }

    /**
     * 设置  新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSource
     */
    public HotwordQuery newsSource(Integer newsSource){
        setNewsSource(newsSource);
        return this;
    }

    /**
     * 设置 开始 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceStart
     */
    public HotwordQuery newsSourceStart(Integer newsSourceStart){
        this.newsSourceStart = newsSourceStart;
        return this;
    }

    /**
     * 设置 结束 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceEnd
     */
    public HotwordQuery newsSourceEnd(Integer newsSourceEnd){
        this.newsSourceEnd = newsSourceEnd;
        return this;
    }

    /**
     * 设置 增加 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceIncrement
     */
    public HotwordQuery newsSourceIncrement(Integer newsSourceIncrement){
        this.newsSourceIncrement = newsSourceIncrement;
        return this;
    }

    /**
     * 设置 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
     * @param newsSourceList
     */
    public HotwordQuery newsSourceList(List<Integer> newsSourceList){
        this.newsSourceList = newsSourceList;
        return this;
    }

    /**
     * 设置  查询次数
     * @param searchCount
     */
    public HotwordQuery searchCount(Integer searchCount){
        setSearchCount(searchCount);
        return this;
    }

    /**
     * 设置 开始 查询次数
     * @param searchCountStart
     */
    public HotwordQuery searchCountStart(Integer searchCountStart){
        this.searchCountStart = searchCountStart;
        return this;
    }

    /**
     * 设置 结束 查询次数
     * @param searchCountEnd
     */
    public HotwordQuery searchCountEnd(Integer searchCountEnd){
        this.searchCountEnd = searchCountEnd;
        return this;
    }

    /**
     * 设置 增加 查询次数
     * @param searchCountIncrement
     */
    public HotwordQuery searchCountIncrement(Integer searchCountIncrement){
        this.searchCountIncrement = searchCountIncrement;
        return this;
    }

    /**
     * 设置 查询次数
     * @param searchCountList
     */
    public HotwordQuery searchCountList(List<Integer> searchCountList){
        this.searchCountList = searchCountList;
        return this;
    }

    /**
     * 设置  热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSource
     */
    public HotwordQuery wordsSource(Integer wordsSource){
        setWordsSource(wordsSource);
        return this;
    }

    /**
     * 设置 开始 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceStart
     */
    public HotwordQuery wordsSourceStart(Integer wordsSourceStart){
        this.wordsSourceStart = wordsSourceStart;
        return this;
    }

    /**
     * 设置 结束 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceEnd
     */
    public HotwordQuery wordsSourceEnd(Integer wordsSourceEnd){
        this.wordsSourceEnd = wordsSourceEnd;
        return this;
    }

    /**
     * 设置 增加 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceIncrement
     */
    public HotwordQuery wordsSourceIncrement(Integer wordsSourceIncrement){
        this.wordsSourceIncrement = wordsSourceIncrement;
        return this;
    }

    /**
     * 设置 热门词汇来源（1.手动添加,2.查询添加）
     * @param wordsSourceList
     */
    public HotwordQuery wordsSourceList(List<Integer> wordsSourceList){
        this.wordsSourceList = wordsSourceList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public HotwordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public HotwordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public HotwordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public HotwordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public HotwordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<HotwordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<HotwordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<HotwordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<HotwordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}