package com.mortals.xhx.module.hotword.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.NewsSourceEnum;
import com.mortals.xhx.module.hotword.model.HotwordQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.hotword.model.HotwordEntity;
import com.mortals.xhx.module.hotword.service.HotwordService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

/**
 * 热门词汇业务
 *
 * @author zxfei
 * @date 2022-12-06
 */
@RestController
@RequestMapping("hotword")
public class HotwordController extends BaseCRUDJsonBodyMappingController<HotwordService, HotwordEntity, Long> {

    public HotwordController() {
        super.setModuleDesc("热门词汇业务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "newsSource", NewsSourceEnum.getEnumMap());
        super.init(model, context);
    }


    @Override
    protected void saveBefore(HotwordEntity entity, Map<String, Object> model, Context context) throws AppException {
        HotwordEntity hotwordEntity = this.service.selectOne(new HotwordQuery().siteId(entity.getSiteId()));
        if(!ObjectUtils.isEmpty(hotwordEntity)){
            entity.setId(hotwordEntity.getId());
        }
        super.saveBefore(entity, model, context);
    }
}